java.beans.beancontext

## Class BeanContextSupport.BCSIterator

- java.lang.Object
- - java.beans.beancontext.BeanContextSupport.BCSIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  BeanContextSupport

    protected static final class BeanContextSupport.BCSIterator
    extends Object
    implements Iterator

protected final subclass that encapsulates an iterator but implements a noop remove() method.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()` Returns `true` if the iteration has more elements.
`Object` `next()` Returns the next element in the iteration.
`void` `remove()` Removes from the underlying collection the last element returned by this iterator (optional operation).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Method Detail

#### hasNext

    public boolean hasNext()

Description copied from interface: `Iterator`
Returns `true` if the iteration has more elements. (In other words, returns `true` if `Iterator.next()` would return an element rather than throwing an exception.)

Specified by:
  `hasNext` in interface `Iterator`
Returns:
  `true` if the iteration has more elements

#### next

    public Object next()

Description copied from interface: `Iterator`
Returns the next element in the iteration.

Specified by:
  `next` in interface `Iterator`
Returns:
  the next element in the iteration

#### remove

    public void remove()

Description copied from interface: `Iterator`
Removes from the underlying collection the last element returned by this iterator (optional operation). This method can be called only once per call to `Iterator.next()`. The behavior of an iterator is unspecified if the underlying collection is modified while the iteration is in progress in any way other than by calling this method.

Specified by:
  `remove` in interface `Iterator`